Subject: Understanding Patchfile Names

From: Mike Coburn <[email-masked]>
Date: Sun, 23 Jul 2000 12:39:30 -0700

In:

ftp://ftp.arm.linux.org.uk/pub/armlinux/source/kernel-patches/v2.3/

I find files like:

patch-2.3.48-rmk1.gz
patch-2.3.48-rmk2.gz

patch-2.3.99-pre3-rmk1.gz
patch-2.3.99-pre3-rmk2.gz
patch-2.3.99-pre3-rmk3.gz
patch-2.3.99-pre8-rmk2.gz
patch-2.3.99-pre8-rmk1.gz
patch-2.3.99-pre9-rmk2.gz

pre-patch-2.3.23-rmk1.gz
pre-patch-2.3.49-rmk1.gz
pre-patch-3.3.51-rmk1.gz

So.  What is the code?  I found a README that said the
"2.3.xx" was the actual kernel release and the "rmk"x was a date.
But that does not look like a date to me.  And I've not been able to
find what the pre stuff means.

Any hints will be appreciated.

I'm still trying to get out of the starting gate on this and I am slowly

finding enough stuff that fits together (i.e. gcc-2. whatever instead
of egcs and the newer bin-utils and such).  I will assume for now that
I'll be messing with kernel 2.3 but maybe I should be doing 2.4.  At
this
point it probably does not matter.

But the arm patch stuff and all the different Brutus, SA1100,1110, 1111,
and
Assebet, and others are all pretty bewildering.  I have a board with
sa1110
wrote on it and a board with sa1111 wrote on it and a touch screen.  I
don't
know whether that is a Brutus or a Howdy Doody.  All I know is that
I've been commanded to "put linux on it".  And I truly believe that if I
can
figure out what the numbers and letters mean on the patch file names
I will be able to "put linux on it".  Making it actually _do_ something
will
probably be a lot tougher.  But, then, I wasn't commissioned  to do
_that_.

Plaese advise as to where to find the keys or just give me a hint of
what the pre and the rnk stuff means.

Thanx.
--

Coburn ---

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: John G Dorsey <[email-masked]>
Date: Mon, 24 Jul 2000 01:27:33 -0400

> find what the pre stuff means.

These are all patches to the Linux kernel source tree. Essentially, to get a
kernel that will do something useful on your hardware (more on that later),
you'll need to collect a recent tree and one or more of these files which update
the tree.

Here's a current version of the kernel:

  ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-2.4.0-test4.tar.gz

Ordinarily, you'd have to collect two or three patches from various places in
order to bring this code up to speed, but this week, you're in luck. Just get:

  ftp://ftp.arm.linux.org.uk/pub/armlinux/people/nico/diff-2.4.0-test4-np1.gz

Information on applying patches and compiling the kernel can be found elsewhere
online, so I won't repeat it here.

> know whether that is a Brutus or a Howdy Doody.

It sounds like you have an Assabet (the SA-1110 board) and a Neponset (the
SA-1111 board). Take a look at:

  http://www.cs.cmu.edu/~wearable/software/assabet.html

> what the pre and the rnk stuff means.

Up until recently, we were at a pre-release version of kernel 2.3.99. Linus went
on vacation, but has released a "test" release of kernel 2.4.0, which isn't too
terribly different from the "pre" kernels. The "RMK" refers, naturally, to
THE developer of ARM Linux (Russell King). As patches are released to a given
kernel tree, the resulting tree is identified by a version string that might
include the name of the developer and a serial number, as in "2.3.48-rmk2"
(Russell's second patch release for kernel 2.3.48).

-jd

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Mon, 24 Jul 2000 18:55:49 +0100 (BST)

> patch-2.3.99-pre9-rmk2.gz

The pre- prefix means that its an alpha bit.  The next section up to the -rmk
is Linus' source code version number that you need to fetch to apply this
patch to.  Lastly, the -rmk number is the "generation" number of the patch
for this version - the larger the later.

Hope this explains it.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |